#include <DHT.h>;

#define DHTPIN 4     // DHT signal pin at D4
#define DHTTYPE DHT22  
DHT dht(DHTPIN, DHTTYPE); // Initialize DHT sensor 

//Variables
float hum;  //Stores humidity value
float temp; //Stores temperature value

void setup()
{
  Serial.begin(9600);
  dht.begin();
}

void loop()
{
    //Read data and store it to variables hum and temp
    hum = dht.readHumidity();
    temp= dht.readTemperature();
    if(Serial.available()){
char var=Serial.read();
switch (var) {
  case 'T':
     Serial.print ("Temperature  : ");
     Serial.println(temp);
     break;
  case 'H':
     Serial.print ("Humidity :");
     Serial.println(hum);
     break;
   default:
     break;
   }
 }
}
 /*   Serial.print("Humidity: ");
    Serial.print(hum);
    Serial.print(" %, Temp: ");
    Serial.print(temp);
    Serial.println(" Celsius");
    delay(2000); //Delay 2 sec.
}
*/
   
